Subject: Re: [rfc-i] xml -> text -> htmlized text

From: Paul Kyzivat <[email-masked]>
Date: Tue, 27 Oct 2020 14:58:05 -0400

On 10/27/20 11:40 AM, John Levine wrote:
> In article <[email-masked]> you write:
>> I prefer to use the htmlized version when reviewing documents, for a
>> variety of reasons:
>>
>> - it has all those handly links at the top, notably for the diffs,
>> tracker, etc. So with one click I can bring up the diff showing the most
>> recent changes.
>>
>> - it has hot links from the TOC to the sections so that is easily navigated
>>
>> - it is laid out just like the text version. I can cut out sections that
>> I want to comment on and paste them into an email while retaining the
>> formatting. (I prefer to use the side by side diffs when reviewing
>> changes, but often then need to consult the full version for more
>> context. Having the full version match what the diff used is important
>> for this.)
> 
> Those are all perfectly good reasons. I wish there were a practical
> way to make the directly produced HTML do all that. It has the hot
> links, and I can sort of imagine how we might abuse CSS to show the
> links at the top when it's in the datatracker, but copying and pasting
> and preserving display format is hopeless.

I'm not arguing for that in the directly produced html. I'm only arguing 
for continuing to produce the htmlized form.

It wouldn't be necessary to do it for all documents. It would be 
sufficient for it to be created on demand when a link to it is dereferenced.

	Thanks,
	Paul
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest